@echo off

rem ============================
rem    Do reboot pcloader
rem ============================
cls
@echo on
@echo *=================================================
@echo *
@echo *  Starting to load new Boot Firmware.....
@echo *
@echo *=================================================
@echo off
copy reboot.dat firmware.dat
loader slvr5 

cls
@echo on
@echo *==================================================
@echo *  BOOT FIRMWARE DOWNLOADED
@echo *
@echo *  CAUTION: You must now turn off power to the PLC
@echo *           and then turn power back on to the PLC.
@echo *           The PLC OK LED will be on for a few
@echo *           seconds.  You must not turn off power
@echo *           while the PLC OK LED is ON.
@echo *
@echo *  The OK LED and RUN LED will then begin to
@echo *    flash in unison.  You may then continue by
@echo *    pressing a key.
@echo *   
@echo *  DO NOT continue until PLC RUN and OK LEDs
@echo *    are blinking in unison.  When this occurs
@echo *    press a key.
@echo *   
@echo * NOTE: If the OK and RUN LEDs do not begin to
@echo *       blinking after 60 seconds.  Make sure you
@echo *       are running "UPDATE" from the a: drive.
@echo *       restart from a: drive if necessary.
@echo *==================================================
@echo off
pause
cls

@echo on
@echo *==================================================
@echo * 
@echo * Starting to load new Release Firmware...
@echo *
@echo *==================================================
@echo off
copy os.dat firmware.dat
loader slvr5

cls
@echo on
@echo *===================================================
@echo *
@echo *  Bootloader update and Firmware update now complete.
@echo *
@echo *  Power-cycle PLC.
@echo *
@echo *===================================================
@echo off
